org.apache.storm.coordination

## Class BatchOutputCollector

- java.lang.Object
- - org.apache.storm.coordination.BatchOutputCollector

- Direct Known Subclasses:
    BatchOutputCollectorImpl

      public abstract class BatchOutputCollector
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchOutputCollector()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Integer>` | `emit(List<Object> tuple)` Emits a tuple to the default output stream.
    `abstract List<Integer>` | `emit(String streamId, List<Object> tuple)`
    `void` | `emitDirect(int taskId, List<Object> tuple)` Emits a tuple to the specified task on the default output stream.
    `abstract void` | `emitDirect(int taskId, String streamId, List<Object> tuple)`
    `abstract void` | `flush()` Flush any buffered tuples (when batching is enabled).
    `abstract void` | `reportError(Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchOutputCollector

          public BatchOutputCollector()

  - ### Method Detail

    - #### emit

          public List<Integer> emit(List<Object> tuple)

      Emits a tuple to the default output stream.

    - #### emit

          public abstract List<Integer> emit(String streamId,
                                             List<Object> tuple)

    - #### emitDirect

          public void emitDirect(int taskId,
                                 List<Object> tuple)

      Emits a tuple to the specified task on the default output stream. This output stream must have been declared as a direct stream, and the specified task must use a direct grouping on this stream to receive the message.

    - #### emitDirect

          public abstract void emitDirect(int taskId,
                                          String streamId,
                                          List<Object> tuple)

    - #### flush

          public abstract void flush()

      Flush any buffered tuples (when batching is enabled).

    - #### reportError

          public abstract void reportError(Throwable error)

Copyright © 2021 The Apache Software Foundation. All rights reserved.